Get Agent
curl --request GET \
--url https://api.example.com/v1/agents/{agent_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/agents/{agent_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {},
"description": "<string>",
"visible": true,
"image_url": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"app_settings_v2": {
"is_active": false,
"version_id": "<string>",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"is_app_published": true,
"allow_public_access": false,
"meta": {
"template_id": "<string>",
"is_genie": true
},
"draft_definition": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents (Co-workers)
Get Agent
GET
/
v1
/
agents
/
{agent_id}
Get Agent
Authorizations
Path Parameters
Response
Successful Response
Assistant schema for the public SDK API with TipTap fields resolved to strings.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I